diff --git a/doc/ns3_html_theme/get_version.sh b/doc/ns3_html_theme/get_version.sh
index 65cdee598..213a8e8d4 100755
--- a/doc/ns3_html_theme/get_version.sh
+++ b/doc/ns3_html_theme/get_version.sh
@@ -153,7 +153,7 @@ else
version=`hg log -r tip --template '{node|short}'`
# Check for uncommitted changes
hg summary | grep -q 'commit: (clean)'
- if [ ! $? ] ; then
+ if [ $? ] ; then
say "beyond latest tag, last commit: $version, dirty"
dirty="(+)"
else